/*
 * components/home/assets
 */
@import "../../../assets/styles/vars.css";

.search {
  width: 50px;
  height: 38px;
  border-right: 2px solid #F4F3F4;
  border-left: 2px solid transparent;
  position: relative;

  &.open {
    border-left: 2px solid #F4F3F4;
    height: 40px;

    & .search-toggle {
      height: 42px !important;
      background-color: white;
      position: relative;
      z-index: 102;
      & svg {
        &.open-search{
          height:0;
        }
        &.close-search{
          padding: 4px 0 0 4px;
          width: 20px;
          height:20px;
        }
      }
    }

    & .search-dropdown {
      display: block;
      z-index: 101;

      @media (--media-max-tablet) {
        position: fixed;
        top: 112px;
        left: 0;
        width: 100%;
        padding: 18px;
        z-index: 101;
        visibility: visible;
        opacity: 1;
        filter: alpha(opacity=100);
        transition: opacity .2s,visibility 0s;
      }

      @media (--media-max-phone) {
        top: 102px;
      }
    }
  }
  & .search-toggle {
    display: block;
    padding: 8px 10px 2px 10px;
    cursor: pointer;
    & svg {
      fill: var(--megaCurrentSite);
      position: absolute;
      &.open-search{
        width: 24px;
        height:24px;
      }
      &.close-search{
        height:0;
      }
    }
  }

  & .search-dropdown {
    display: none;
    border: 2px solid #F4F3F4;
    background-color: #FFFFFF;
    position: absolute;
    top: 38px;
    left: -2px;
    height: 180px;
    padding: 30px;

    & .search-box{
      position: relative;
      margin-top: 30px;
    }

    & label {
      position: absolute;
      top: 0;
      width: 58px;
      height: 48px;
      padding: 13px 20px;

      & svg {
        height: 24px;
        width: 24px;
        fill: var(--megaCurrentSite);
      }
    }

    & input {
      box-sizing: border-box;
      height: 48px;
      display: block;
      width: 100%;
      margin: 0 auto;
      border: 2px solid #F4F3F4;
      border-radius: 30px;
      background-color: #FFFFFF;
      font-size: 16px;
      line-height: 20px;
      padding-left: 60px;
    }

    & .close-search {
      position: absolute;
      right: 20px;
      top: 20px;
      @media (--media-min-tablet) {
        right: 30px;
        top: 30px;
      }
      &:hover {
        cursor: pointer;
      }
    }

    & .form-beta {
      & .search-submit {
        right: 20px;
        top: 2px;
        height: 48px;
        font-size: 12px;
        color: var(--megaCurrentSite);
        font-weight: var(--fontWeight-bold);
        display: none;
        @media (--media-min-tablet) {
          display: block;
        }
      }
    }
  }
}

